Package org.eclipse.graphiti.mm.algorithms.util

## Class AlgorithmsSwitch<T>

- java.lang.Object
- - org.eclipse.emf.ecore.util.Switch<T>
  - - org.eclipse.graphiti.mm.algorithms.util.AlgorithmsSwitch<T>

    public class AlgorithmsSwitch<T>
    extends org.eclipse.emf.ecore.util.Switch<T>

The Switch for the model's inheritance hierarchy. It supports the call `doSwitch(object)` to invoke the `caseXXX` method for each class of the model, starting with the actual class of the object and proceeding up the inheritance hierarchy until a non-null result is returned, which is the result of the switch.

See Also:
  `AlgorithmsPackage`

### Field Summary

Fields
`protected static AlgorithmsPackage` `modelPackage` The cached model package

### Constructor Summary

Constructors
`AlgorithmsSwitch()` Creates an instance of the switch.

### Method Summary

All Methods Instance Methods Concrete Methods
`T` `caseAbstractStyle​(AbstractStyle object)` Returns the result of interpreting the object as an instance of 'Abstract Style'.
`T` `caseAbstractText​(AbstractText object)` Returns the result of interpreting the object as an instance of 'Abstract Text'.
`T` `caseEllipse​(Ellipse object)` Returns the result of interpreting the object as an instance of 'Ellipse'.
`T` `caseGraphicsAlgorithm​(GraphicsAlgorithm object)` Returns the result of interpreting the object as an instance of 'Graphics Algorithm'.
`T` `caseGraphicsAlgorithmContainer​(GraphicsAlgorithmContainer object)` Returns the result of interpreting the object as an instance of 'Graphics Algorithm Container'.
`T` `caseImage​(Image object)` Returns the result of interpreting the object as an instance of 'Image'.
`T` `caseMultiText​(MultiText object)` Returns the result of interpreting the object as an instance of 'Multi Text'.
`T` `casePlatformGraphicsAlgorithm​(PlatformGraphicsAlgorithm object)` Returns the result of interpreting the object as an instance of 'Platform Graphics Algorithm'.
`T` `casePolygon​(Polygon object)` Returns the result of interpreting the object as an instance of 'Polygon'.
`T` `casePolyline​(Polyline object)` Returns the result of interpreting the object as an instance of 'Polyline'.
`T` `casePropertyContainer​(PropertyContainer object)` Returns the result of interpreting the object as an instance of 'Property Container'.
`T` `caseRectangle​(Rectangle object)` Returns the result of interpreting the object as an instance of 'Rectangle'.
`T` `caseRoundedRectangle​(RoundedRectangle object)` Returns the result of interpreting the object as an instance of 'Rounded Rectangle'.
`T` `caseText​(Text object)` Returns the result of interpreting the object as an instance of 'Text'.
`T` `defaultCase​(org.eclipse.emf.ecore.EObject object)` Returns the result of interpreting the object as an instance of 'EObject'.
`protected T` `doSwitch​(int classifierID, org.eclipse.emf.ecore.EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.
`protected boolean` `isSwitchFor​(org.eclipse.emf.ecore.EPackage ePackage)` Checks whether this is a switch for the given package.

### Methods inherited from class org.eclipse.emf.ecore.util.Switch

`doSwitch, doSwitch`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### modelPackage

    protected static AlgorithmsPackage modelPackage

The cached model package

### Constructor Detail

#### AlgorithmsSwitch

    public AlgorithmsSwitch()

Creates an instance of the switch.

### Method Detail

#### isSwitchFor

    protected boolean isSwitchFor​(org.eclipse.emf.ecore.EPackage ePackage)

Checks whether this is a switch for the given package.

Specified by:
  `isSwitchFor` in class `org.eclipse.emf.ecore.util.Switch<T>`
Returns:
  whether this is a switch for the given package.

#### doSwitch

    protected T doSwitch​(int classifierID,
                         org.eclipse.emf.ecore.EObject theEObject)

Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

Overrides:
  `doSwitch` in class `org.eclipse.emf.ecore.util.Switch<T>`
Returns:
  the first non-null result returned by a `caseXXX` call.

#### caseGraphicsAlgorithm

    public T caseGraphicsAlgorithm​(GraphicsAlgorithm object)

Returns the result of interpreting the object as an instance of 'Graphics Algorithm'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Graphics Algorithm'.
See Also:
  `doSwitch(EObject)`

#### casePolyline

    public T casePolyline​(Polyline object)

Returns the result of interpreting the object as an instance of 'Polyline'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Polyline'.
See Also:
  `doSwitch(EObject)`

#### caseEllipse

    public T caseEllipse​(Ellipse object)

Returns the result of interpreting the object as an instance of 'Ellipse'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Ellipse'.
See Also:
  `doSwitch(EObject)`

#### caseText

    public T caseText​(Text object)

Returns the result of interpreting the object as an instance of 'Text'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Text'.
See Also:
  `doSwitch(EObject)`

#### casePolygon

    public T casePolygon​(Polygon object)

Returns the result of interpreting the object as an instance of 'Polygon'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Polygon'.
See Also:
  `doSwitch(EObject)`

#### caseRectangle

    public T caseRectangle​(Rectangle object)

Returns the result of interpreting the object as an instance of 'Rectangle'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Rectangle'.
See Also:
  `doSwitch(EObject)`

#### caseRoundedRectangle

    public T caseRoundedRectangle​(RoundedRectangle object)

Returns the result of interpreting the object as an instance of 'Rounded Rectangle'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Rounded Rectangle'.
See Also:
  `doSwitch(EObject)`

#### caseImage

    public T caseImage​(Image object)

Returns the result of interpreting the object as an instance of 'Image'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Image'.
See Also:
  `doSwitch(EObject)`

#### casePlatformGraphicsAlgorithm

    public T casePlatformGraphicsAlgorithm​(PlatformGraphicsAlgorithm object)

Returns the result of interpreting the object as an instance of 'Platform Graphics Algorithm'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Platform Graphics Algorithm'.
See Also:
  `doSwitch(EObject)`

#### caseAbstractText

    public T caseAbstractText​(AbstractText object)

Returns the result of interpreting the object as an instance of 'Abstract Text'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Abstract Text'.
See Also:
  `doSwitch(EObject)`

#### caseMultiText

    public T caseMultiText​(MultiText object)

Returns the result of interpreting the object as an instance of 'Multi Text'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Multi Text'.
See Also:
  `doSwitch(EObject)`

#### casePropertyContainer

    public T casePropertyContainer​(PropertyContainer object)

Returns the result of interpreting the object as an instance of 'Property Container'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Property Container'.
See Also:
  `doSwitch(EObject)`

#### caseGraphicsAlgorithmContainer

    public T caseGraphicsAlgorithmContainer​(GraphicsAlgorithmContainer object)

Returns the result of interpreting the object as an instance of 'Graphics Algorithm Container'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Graphics Algorithm Container'.
See Also:
  `doSwitch(EObject)`

#### caseAbstractStyle

    public T caseAbstractStyle​(AbstractStyle object)

Returns the result of interpreting the object as an instance of 'Abstract Style'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Abstract Style'.
See Also:
  `doSwitch(EObject)`

#### defaultCase

    public T defaultCase​(org.eclipse.emf.ecore.EObject object)

Returns the result of interpreting the object as an instance of 'EObject'. This implementation returns null; returning a non-null result will terminate the switch, but this is the last case anyway.

Overrides:
  `defaultCase` in class `org.eclipse.emf.ecore.util.Switch<T>`
Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'EObject'.
See Also:
  `Switch.doSwitch(org.eclipse.emf.ecore.EObject)`